Package org.apache.commons.beanutils.converters

## Class LongArrayConverter

- java.lang.Object
- - org.apache.commons.beanutils.converters.AbstractArrayConverter
  - - org.apache.commons.beanutils.converters.LongArrayConverter

All Implemented Interfaces:
  `Converter`

    @Deprecated
    public final class LongArrayConverter
    extends AbstractArrayConverter

Deprecated.
Replaced by the new `ArrayConverter` implementation

Standard `Converter` implementation that converts an incoming String into a primitive array of long. On a conversion failure, returns a specified default value or throws a `ConversionException` depending on how this instance is constructed.

Since:
  1.4
Version:
  $Id$

### Field Summary

### Fields inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter

`defaultValue, NO_DEFAULT, strings, useDefault`

### Constructor Summary

Constructors
`LongArrayConverter()` Deprecated. Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.
`LongArrayConverter​(java.lang.Object defaultValue)` Deprecated. Create a `Converter` that will return the specified default value if a conversion error occurs.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.Object` `convert​(java.lang.Class type, java.lang.Object value)` Deprecated. Convert the specified input object into an output object of the specified type.

### Methods inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter

`parseElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongArrayConverter

    public LongArrayConverter()

Deprecated.
Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.

#### LongArrayConverter

    public LongArrayConverter​(java.lang.Object defaultValue)

Deprecated.
Create a `Converter` that will return the specified default value if a conversion error occurs.

Parameters:
  `defaultValue` - The default value to be returned

### Method Detail

#### convert

    public java.lang.Object convert​(java.lang.Class type,
                                    java.lang.Object value)

Deprecated.
Convert the specified input object into an output object of the specified type.

Specified by:
  `convert` in interface `Converter`
Specified by:
  `convert` in class `AbstractArrayConverter`
Parameters:
  `type` - Data type to which this value should be converted
  `value` - The input value to be converted
Returns:
  the converted value
Throws:
  `ConversionException` - if conversion cannot be performed successfully